1. Redemption Intent (Partners)
CIAO API
  • Getting Started
    • Introduction
    • Authentication
    • Responses and Error
  • Partners
    • Webhooks
    • Redemption Intent (Partners)
      • Create Redemption Intent
        POST
      • Retrieve Redemption Intent
        GET
    • Subscriptions
      • Create Subscription
      • Retrieve a subscription
      • Cancel Subscription
  • Resellers
    • Webhooks
    • Voucher Generation (Resellers)
      • Create Voucher Payment
      • Retrieve Voucher Payment
  • General
    • Get all Counties
      GET
  1. Redemption Intent (Partners)

Create Redemption Intent

POST
/api/v1/redemption-intents
Initialize a new redemption request. This returns an authorization_url where the customer can complete the redemption. You can optionally pass your unique reference as reference in the request body.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Body Params application/json

Examples

Responses

🟢201Success example
application/json
Bodyapplication/json

🟠422Validation error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/v1/redemption-intents' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "email": "customer@example.com",
    "amount": 2500,
    "ip_address": "203.0.113.10",
    "metadata": {
        "order_id": "ORD-123"
    },
    "country_code": "DE",
    "idempotency_key": "ri-req-001"
}'
Response Response Example
201 - Success
{
    "status": true,
    "message": "Redemption Intent Created",
    "data": {
        "authorization_url": "https://app.ciao.cx/redemptions/checkout/HrDE6QIL28Tkwpe",
        "reference": "RDM-01K2F8ZC0QTFS938ZXN017YY4A"
    }
}
Modified at 2026-09-21 15:29:06
Previous
Redemption Intent (Partners)
Next
Retrieve Redemption Intent
Built with